zeppelin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ricardo Martinelli de Oliveira <rmart...@redhat.com>
Subject Re: install-interpreter.sh cannot resolve dependencies
Date Tue, 21 Jan 2020 15:13:02 GMT
Jeff,

Yeah, interpreter-list is outdated, but even if I change the values in the
file or specifying --artifact org.apache.zeppelin:zeppelin-markdown:0.8.2 I
get the same error.

Is there any other place I need to change? If necessary, I can open an
issue and send a PR to it.


On Tue, Jan 21, 2020 at 11:33 AM Jeff Zhang <zjffdu@gmail.com> wrote:

> It seems you are using zeppelin 0.8.2, but install-interpreter.sh try to
> install 0.8.0, I think this is a bug that we didn't update the file
> interpreter-list
>
> https://github.com/apache/zeppelin/blob/branch-0.8/conf/interpreter-list
>
>
> Ricardo Martinelli de Oliveira <rmartine@redhat.com> 于2020年1月21日周二
> 下午10:21写道:
>
>> Hello,
>>
>> I created a container version of zeppelin with the netinst distribution
>> in it in order to have a small container image and install only the
>> interpreters I'm going to use. However, when running install-interpreter.sh
>> I get this error no matter is the interpreter I'm going to install:
>>
>>  ./install-interpreter.sh -n jdbc
>>                                                                   OpenJDK
>> 64-Bit Server VM warning: ignoring option MaxPermSize=512m; support was
>> removed in 8.0
>> SLF4J: Class path contains multiple SLF4J bindings.
>> SLF4J: Found binding in
>> [jar:file:/home/rmartine/Development/zeppelin-0.8.2-bin-netinst/lib/interpreter/slf4j-log4j12-1.7.10.jar!/org/slf4j/impl/StaticLoggerBinder.class]
>> SLF4J: Found binding in
>> [jar:file:/home/rmartine/Development/zeppelin-0.8.2-bin-netinst/lib/slf4j-log4j12-1.7.10.jar!/org/slf4j/impl/StaticLoggerBinder.class]
>> SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an
>> explanation.
>> SLF4J: Actual binding is of type [org.slf4j.impl.Log4jLoggerFactory]
>> Install jdbc(org.apache.zeppelin:zeppelin-jdbc:0.8.0) to
>> /home/rmartine/Development/zeppelin-0.8.2-bin-netinst/interpreter/jdbc ...
>> org.sonatype.aether.RepositoryException: Cannot fetch dependencies for
>> org.apache.zeppelin:zeppelin-jdbc:0.8.0
>>
>> Is anyone having the same issue?
>>
>> --
>>
>> Ricardo Martinelli De Oliveira
>>
>> Data Engineer, AI CoE
>>
>> Red Hat Brazil <https://www.redhat.com/>
>>
>
>
> --
> Best Regards
>
> Jeff Zhang
>


-- 

Ricardo Martinelli De Oliveira

Data Engineer, AI CoE

Red Hat Brazil <https://www.redhat.com/>

Av. Brigadeiro Faria Lima, 3900

8th floor

rmartine@redhat.com    T: +551135426125
M: +5511970696531
@redhatjobs <https://twitter.com/redhatjobs>   redhatjobs
<https://www.facebook.com/redhatjobs> @redhatjobs
<https://instagram.com/redhatjobs>
<https://www.redhat.com/>

Mime
View raw message